summaryrefslogtreecommitdiff
path: root/dev-go/staticcheck
diff options
context:
space:
mode:
Diffstat (limited to 'dev-go/staticcheck')
-rw-r--r--dev-go/staticcheck/Manifest2
-rw-r--r--dev-go/staticcheck/staticcheck-2024.1.1.ebuild30
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-go/staticcheck/Manifest b/dev-go/staticcheck/Manifest
new file mode 100644
index 0000000..09e7ac8
--- /dev/null
+++ b/dev-go/staticcheck/Manifest
@@ -0,0 +1,2 @@
+DIST staticcheck-2024.1.1-vendor.tar.xz 332576 BLAKE2B e76a9c792f1d0cd9847610c8485a7e5614dfc0c18f7c189a61ad4a1a033698bef3c96f99ae79ad9e752da4d8b737373d5172164a7aaa3060164926a804f1ff34 SHA512 9da76cecf0c6df25789dc736d6234ce717f10bd2b79bfcdbd09970db4c177f45eec12c257e142c7b40b6d19755fb72b766d501209342770818b1df40d3bf18fb
+DIST staticcheck-2024.1.1.tar.gz 770639 BLAKE2B 0fe4c4158347f34dbd8f3afd303648659ce0895a529cb0f9f96ad5d4c73025fb798d39a1371a8d1af1ec768af375776b7f7b86e42a34ec62fda1d409e4b0cb84 SHA512 abd32fd81b4993a99c2fedaf349fca6f5edcb47651d7efff5e71e7c3c4b9ed41188061c7228d82796c65efbb5f5aa1498ea86c7476f530e0587c3787fbe9dae2
diff --git a/dev-go/staticcheck/staticcheck-2024.1.1.ebuild b/dev-go/staticcheck/staticcheck-2024.1.1.ebuild
new file mode 100644
index 0000000..7b21fad
--- /dev/null
+++ b/dev-go/staticcheck/staticcheck-2024.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="The advanced Go linter"
+HOMEPAGE="https://staticcheck.io/"
+BDEPEND=">=dev-lang/go-1.15"
+SRC_URI="https://github.com/dominikh/go-tools/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz "
+S="${WORKDIR}/go-tools-${PV}"
+
+LICENSE="MIT"
+LICENSE+=" BSD "
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_compile() {
+ mkdir bin || die
+ ego build -o bin/staticcheck ./cmd/staticcheck
+}
+
+src_test() {
+ ego test ./...
+}
+
+src_install() {
+ dobin bin/staticcheck
+}